## org.hibernate.type.descriptor.java
Class TimeZoneTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.java.AbstractTypeDescriptor<TimeZone>
          org.hibernate.type.descriptor.java.TimeZoneTypeDescriptor

All Implemented Interfaces:
  Serializable, JavaTypeDescriptor<TimeZone>

    public class TimeZoneTypeDescriptor

extends AbstractTypeDescriptor<TimeZone>

Descriptor for `TimeZone` handling.

See Also:
  Serialized Form

Nested Class Summary
`static class` `TimeZoneTypeDescriptor.TimeZoneComparator`

Field Summary
`static TimeZoneTypeDescriptor` `INSTANCE`

Constructor Summary
`TimeZoneTypeDescriptor()`

Method Summary
`TimeZone` `fromString(String string)`
`Comparator<TimeZone>` `getComparator()` Retrieve the natural comparator for this type.
`String` `toString(TimeZone value)`

`

`<X> X`

`

`unwrap(TimeZone value, Class<X> type, WrapperOptions options)`
Unwrap an instance of our handled Java type into the requested type.

`

`<X> TimeZone`

`

`wrap(X value, WrapperOptions options)`
Wrap a value as our handled Java type.

Methods inherited from class org.hibernate.type.descriptor.java.AbstractTypeDescriptor
`areEqual, extractHashCode, extractLoggableRepresentation, getJavaTypeClass, getMutabilityPlan, unknownUnwrap, unknownWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final TimeZoneTypeDescriptor INSTANCE

Constructor Detail

### TimeZoneTypeDescriptor

    public TimeZoneTypeDescriptor()

Method Detail

### toString

    public String toString(TimeZone value)

### fromString

    public TimeZone fromString(String string)

### getComparator

    public Comparator<TimeZone> getComparator()

  Description copied from class: `AbstractTypeDescriptor`
  Retrieve the natural comparator for this type.

  Specified by:
    `getComparator` in interface `JavaTypeDescriptor<TimeZone>`
  Overrides:
    `getComparator` in class `AbstractTypeDescriptor<TimeZone>`
  Returns:
    The natural comparator.

### unwrap

    public <X> X unwrap(TimeZone value,
                        Class<X> type,
                        WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Unwrap an instance of our handled Java type into the requested type.

  As an example, if this is a `JavaTypeDescriptor<Integer>` and we are asked to unwrap the `Integer value` as a `Long` we would return something like `Long.valueOf( value.longValue() )`.

  Intended use is during `PreparedStatement` binding.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to unwrap
    `type` - The type as which to unwrap
    `options` - The options
  Returns:
    The unwrapped value.

### wrap

    public <X> TimeZone wrap(X value,
                             WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Wrap a value as our handled Java type.

  Intended use is during `ResultSet` extraction.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to wrap.
    `options` - The options
  Returns:
    The wrapped value.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.